Redmine - Defect #19271

Configuration of which versions are shown in version-format custom fields should not affect issue
query filter

2015-03-04 14:26 - Sebastian Paluch

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed Affected version: 3.0.0
Description

The feature implemented as #8572 is great. It allows to limit to what values custom field can be set when issue is edited, e.g. allow to
assign custom field only to open versions.

Unfortunately, this settings is affecting values that are shown for the custom field when building issue search query. This makes it
impossible to search issues e.g. for closed or locked versions and makes entire feature a bit useless.

Related issues:
Related to Redmine - Feature #8572: Configuration of which versions (by versi... Closed 2011-06-09

Associated revisions

Revision 14623 - 2015-09-26 10:12 - Jean-Philippe Lang
Display all versions in query filter (#19271).

History

#1 - 2015-05-15 20:28 - Sebastian Paluch
- File field_format.rb.patch added

- Status changed from New to Resolved

| have created a patch fixing the problem. It is simply passing an option from query_filter_options to indicate that all values should be returned and is
fully transparent for all other use cases.
Would be good if it could be included soon.

#2 - 2015-06-14 12:08 - Toshi MARUYAMA

- Related to Feature #8572: Configuration of which versions (by version-status) are shown in version-format custom fields added

#3 - 2015-06-15 08:54 - Sebastian Paluch

Can we please plan this to be included is a coming release?
It is very annoying that we have to see over 20 versions that are already closed, it is hard to find the right one in between...

#4 - 2015-07-10 07:25 - Toshi MARUYAMA

- Target version set to 3.2.0

#5 - 2015-09-26 10:14 - Jean-Philippe Lang

- Subject changed from Configuration of which versions (by version-status) are shown in version-format custom fields should not affect issue query to
Configuration of which versions are shown in version-format custom fields should not affect issue query filter

- Status changed from Resolved to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

This is fixed in r14623. Implementation is slightly different than the proposed patch and a test is added.

Files

field_format.rb.patch 3.05 KB 2015-05-15 Sebastian Paluch
